Docs
Referência

Listar aplicações

GET
/v1/workspaces/{workspaceId}/apps

Authorization

hydro_session<token>

In: cookie

Response Body

application/json

curl -X GET "https://example.com/v1/workspaces/{workspaceId}/apps"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",      "name": "string",      "slug": "string",      "kind": "web",      "source": "upload",      "image": "string",      "port": -9007199254740991,      "cpuMillis": -9007199254740991,      "memoryMb": -9007199254740991,      "url": "string",      "subdomain": "string",      "github": {        "installationId": -9007199254740991,        "repoId": -9007199254740991,        "repoFullName": "string",        "branch": "string",        "rootDir": "string",        "autoDeploy": true,        "watchRootOnly": true,        "accessLost": true      },      "desiredState": "running",      "status": "idle",      "statusDetail": {        "exitCode": -9007199254740991,        "restarts": -9007199254740991,        "message": "string",        "tail": "string",        "at": "2019-08-24T14:15:22Z"      },      "currentDeployment": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "appId": "28c365d5-df94-4a54-8217-3ce51d068868",        "number": -9007199254740991,        "source": "upload",        "status": "queued",        "image": "string",        "imageDigest": "string",        "rollbackOf": "65f4f6e9-31b7-43b4-9674-5c6963c953c2",        "commit": {          "sha": "string",          "message": "string",          "author": "string",          "branch": "string",          "url": "string"        },        "failureReason": "string",        "imageAvailable": true,        "triggeredBy": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string"        },        "createdAt": "2019-08-24T14:15:22Z",        "startedAt": "2019-08-24T14:15:22Z",        "finishedAt": "2019-08-24T14:15:22Z"      },      "runningSince": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}